Skip site navigation (1) Skip section navigation (2)

Re: trouble with an older version of postgresql

From: Joshua Tolley <eggyknap(at)gmail(dot)com>
To: Krešimir Križanović <Kresimir(dot)Krizanovic(at)fer(dot)hr>
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: trouble with an older version of postgresql
Date: 2010-02-08 14:02:30
Message-ID: 4b701988.9713f30a.4a84.ffff8927@mx.google.com (view raw or flat)
Thread:
Lists: pgsql-novice
On Mon, Feb 08, 2010 at 02:26:50PM +0100, Krešimir Križanović wrote:
>     The trouble is there is no database. When i try to create the first one
>    using createdb, i get an error:
> 
>    createdb: could not connect to database postgres: FATAL:  Database
>    "postgres" does not exist in the system catalog.

See if you have a file called global/pg_database in your data directory. It
should be plain text, and contain a list of all the databases that exist. One
of them is probably called "template1", and you should be able to connect to
that. Note that 7.3 is awfully old, and you're unlikly to get much support for
it beyond "Upgrade immediately if not sooner."

--
Joshua Tolley / eggyknap
End Point Corporation
http://www.endpoint.com

In response to

pgsql-novice by date

Next:From: Tom LaneDate: 2010-02-08 15:37:56
Subject: Re: Incomplete pg_dump operation
Previous:From: Krešimir KrižanovićDate: 2010-02-08 13:26:50
Subject: Re: trouble with an older version of postgresql

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group